<template lang="pug">

  section.container.vacancy(v-if='vacancy.active')
    h1.main-heading_inner.vacancy__heading  {{ vacancy.name }}

    span.news__date
      span.vacancy__city(v-if="vacancy.city") {{ vacancy.city }}
      span.vacancy__date от {{ $moment(vacancy.created_at).format('LL') }}

    el-breadcrumb.mb-20(separator-class='el-icon-arrow-right')
      el-breadcrumb-item(:to="{ path: '/' }") Главная
      el-breadcrumb-item(:to="{ path: '/about' }") О компании
      el-breadcrumb-item(:to="{ path: '/about/vacancies' }") Вакансии
      el-breadcrumb-item {{ vacancy.name }}

    .quill(v-html='vacancy.description')

    hr.vacancy__separator

    .vacancy__footer
      p.vacancy__footer-description За дополнительной информацией о вакансиях и по вопросам трудоустройства обращайтесь в отдел кадров -&nbsp;
        a.vacancy__footer-tel(href="tel:+74942669756") +7 (4942) 66-97-56

</template>

<script>
import { mapMutations } from 'vuex';

export default {
  name: 'VacanciesItem',
  async asyncData(context) {
    let { data } = await context.$axios.get(
      `/api/v1/vacancies/slug/${context.params.slug}`
    );
    return { vacancy: data };
  },
  head() {
    return {
      title: `Вакансия: ${this.vacancy.name} | АО «Шувалово»`
    };
  },
  created() {
    if (!this.vacancy.active) {
      this.$router.push('/vacancies');
    }
  },
  mounted() {
    this.SET_LOADING(false);
  },
  methods: {
    ...mapMutations(['SET_LOADING'])
  }
};
</script>
